Subject: bug#77422: 30.1; New Tramp warnings in recent emacs

From: Michael Albinus <[email-masked]>
Date: Tue, 01 Apr 2025 16:23:27 +0200

Nicholas Michalowski <[email-masked]> writes:

Hi Nicholas,

> After recently updating emacs on a Windows 11 machine, I suddenly get
> a
> warning from tramp that did not occur in the past.
>
> To reproduce you need to configure putty appropriately (steps provided
> upon request).  Then after running "emacs -Q" type the following
> command
> into the scratch buffer:
> (setq org-agenda-files "/plinkx:YOUR_SSH_SERVER:/PATH/TO/FILE.org")
>
> then run a command such as "M-x org-agenda", followed by "a".
>
> the following warning will be displayed.
> "Warning (tramp): Couldn’t find an inline transfer compress command"
>
> It pops up in a transient window that must be dismissed by pressing q.

This is an old warning. However, in Tramp 2.7.1 (contained in Emacs
30.1), Tramp's warnings are displayed more prominently. That's it.

Hmm. Maybe we need a user option, which let Tramp's warnings appear in
the echo area / message buffer only, as before?

Best regards, Michael.